<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: BMP3 sensor API</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">BMP3 sensor API </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="autotoc_md1"></a>
Introduction</h1>
<p>This package contains the Bosch Sensortec's BMP3 pressure sensor driver (sensor API)</p>
<p>The sensor driver package includes <a class="el" href="bmp3_8h.html">bmp3.h</a>, <a class="el" href="bmp3_8c.html" title="Sensor driver for BMP3 sensor.">bmp3.c</a> and <a class="el" href="bmp3__defs_8h.html" title="Sensor driver for BMP3 sensor.">bmp3_defs.h</a> files</p>
<h1><a class="anchor" id="autotoc_md2"></a>
Integration details</h1>
<ul>
<li>Integrate <a class="el" href="bmp3_8h.html">bmp3.h</a>, <a class="el" href="bmp3__defs_8h.html" title="Sensor driver for BMP3 sensor.">bmp3_defs.h</a> and <a class="el" href="bmp3_8c.html" title="Sensor driver for BMP3 sensor.">bmp3.c</a> file in to your project.</li>
<li>Include the <a class="el" href="bmp3_8h.html">bmp3.h</a> file in your code like below.</li>
</ul>
<div class="fragment"><div class="line"><span class="preprocessor">#include &quot;<a class="code" href="bmp3_8h.html">bmp3.h</a>&quot;</span></div>
</div><!-- fragment --><h1><a class="anchor" id="autotoc_md3"></a>
File information</h1>
<ul>
<li><a class="el" href="bmp3__defs_8h.html" title="Sensor driver for BMP3 sensor.">bmp3_defs.h</a> : This header file has the constants, macros and datatype declarations.</li>
<li><a class="el" href="bmp3_8h.html">bmp3.h</a> : This header file contains the declarations of the sensor driver APIs.</li>
<li><a class="el" href="bmp3_8c.html" title="Sensor driver for BMP3 sensor.">bmp3.c</a> : This source file contains the definitions of the sensor driver APIs.</li>
</ul>
<h1><a class="anchor" id="autotoc_md4"></a>
Supported sensor interfaces</h1>
<ul>
<li>SPI 4-wire</li>
<li>I2C</li>
</ul>
<h1><a class="anchor" id="autotoc_md5"></a>
Usage guide</h1>
<h2><a class="anchor" id="autotoc_md6"></a>
Initializing the sensor</h2>
<p>To initialize the sensor, you will first need to create a device structure. You can do this by creating an instance of the structure <a class="el" href="structbmp3__dev.html" title="bmp3 device structure">bmp3_dev</a>. Then go on to fill in the various parameters as shown below.</p>
<p>Regarding Compensation functions for temperature and pressure, we have two implementations. 1) Double precision floating point version 2) Integer version</p>
<p>If you want to use the floating point version, define the BMP3_DOUBLE_PRECISION_COMPENSATION macro in your makefile or uncomment the relevant line in the <a class="el" href="bmp3__defs_8h.html" title="Sensor driver for BMP3 sensor.">bmp3_defs.h</a> file. By default, the integer version will be used. Below example code uses floating point representation.</p>
<h2><a class="anchor" id="autotoc_md7"></a>
Important links</h2>
<ul>
<li><a href="https://www.bosch-sensortec.com/products/environmental-sensors/pressure-sensors/bmp388/">BMP388 product page</a></li>
<li><a href="https://www.bosch-sensortec.com/products/environmental-sensors/pressure-sensors/bmp390l/">BMP390L product page</a></li>
<li><a href="https://www.bosch-sensortec.com/media/boschsensortec/downloads/datasheets/bst-bmp388-ds001.pdf">BMP388 datasheet</a></li>
<li><a href="https://www.bosch-sensortec.com/media/boschsensortec/downloads/datasheets/bst-bmp390l-ds001.pdf">BMP390L datasheet</a></li>
<li><a href="https://www.bosch-sensortec.com/media/boschsensortec/downloads/shuttle_board_flyer/bst-mhd-fl001.pdf">BMP3xy shuttle board flyer</a></li>
<li><a href="https://community.bosch-sensortec.com">Community support page</a> </li>
</ul>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<div class="ttc" id="abmp3_8h_html"><div class="ttname"><a href="bmp3_8h.html">bmp3.h</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
